package fr.emse.gitlab.saref.vocabs;

import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;
import org.apache.jena.rdf.model.ResourceFactory;

public class EX {

	public static final String NS = "http://example.org/";
	public static final Property localName = ResourceFactory.createProperty(NS, "localName");
	public static final Property hasVersion = ResourceFactory.createProperty(NS, "hasVersion");
	public static final Property versionInfo = ResourceFactory.createProperty(NS, "versionInfo");
	public static final Property repositoryName = ResourceFactory.createProperty(NS, "repositoryName");
	public static final Property priorVersion = ResourceFactory.createProperty(NS, "priorVersion");
	public static final Property isUsedBy = ResourceFactory.createProperty(NS, "isUsedBy");
	public static final Resource OntologyVersion = ResourceFactory.createResource(NS + "OntologyVersion");
	public static final Resource Example = ResourceFactory.createResource(NS + "Example");
	public static final Property hasExample = ResourceFactory.createProperty(NS, "hasExample");
}
